{
  "$schema": "https://schemas.wp.org/trunk/block.json",
  "apiVersion": 2,
  "name": "homegrade-content-blocks/icon",
  "version": "0.1.0",
  "title": "Icone",
  "category": "homegrade-blocks",
  "icon": "smiley",
  "description": "Pour insérer une icone personnalisée dans une zone de contenu",
  "supports": {
    "html": false
  },
  "parent": [
    "homegrade-content-blocks/column-card"
  ],
  "textdomain": "homegrade-blocks",
  "editorScript": "file:./index.js",
  "editorStyle": "file:./index.css",
  "style": "file:./style-index.css",
  "attributes": {
    "iconUrl": {
      "type": "string"
    },
    "iconAlt": {
      "type": "string"
    },
    "iconId": {
      "type": "number"
    },
    "hasShadow": {
      "type": "boolean",
      "default": false
    }
  }
}